<div id="hideBottomInput" class="mx-lg-8 max-w-[792px]">
  <div class="flex items-center justify-between mt-8 mb-4">
    <div class="flex items-center">
      <nuxt-link to="/admin/shipping" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-subtitle">Settings</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <nuxt-link to="/admin/shipping">
        <p class="mb-0 font-medium leading-6 text-content-subtitle capitalize">
          Shipping
        </p>
      </nuxt-link>
      <v-icon class="mr-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium leading-6 text-content-main capitalize">
        Add Shipping zone
      </p>
    </div>
  </div>

  <div class="flex justify-between mb-2 items-center">
    <h1 class="font-semibold text-content-main text-lg">
      Add new shipping zone
    </h1>
    <v-btn
      :disabled="loading"
      height="44px"
      color="#3B82F6"
      class="text-none elevation-0 rounded-m d !text-white px-7"
      @click="postShippingZone()"
    >
      <v-progress-circular
        v-if="loading"
        size="18"
        indeterminate
        color="#076CE3"
      >
      </v-progress-circular>
      <span v-else> Save </span>
    </v-btn>
  </div>
  <!-- <p
    v-if="mainQuantity == false"
    class="text-red-500 text-sm font-semibold mb-4"
  >
    Must be include 1 quantity
  </p> -->
  <div
    class="bg-white p-4 rounded-md mb-4"
    style="box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05)"
  >
    <p class="text-sm font-semibold text-content-main mb-4">Zone Name</p>
    <v-text-field
      v-model="zoneName"
      dense
      outlined
      placeholder="e.g Rest of the World"
    >
    </v-text-field>
    <p class="text-content-subtitle text-xs mt-1">Customer won’t see this</p>
  </div>
  <div
    class="bg-white p-4 rounded-md mb-4"
    style="box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05)"
  >
    <div class="flex items-center justify-between mb-4">
      <p class="text-sm font-semibold text-content-main">Applied Countries</p>
      <v-btn
        @click="dialogAddCountry =!dialogAddCountry"
        color="#3B82F6"
        class="text-none elevation-0 rounded-md !text-white"
      >
        Add Country
      </v-btn>
    </div>
    <p class="text-content-subtitle text-sm">
      Add countries to this zone where you sell to.
    </p>

    <div class="mt-4" v-if="listCountryChoose.length">
      <p class="text-md font-semibold">Country chose</p>
      <div
        class="flex items-center w-full"
        v-for="(quocgia, i) in listCountryChoose"
        :key="'quocgia' + i"
      >
        <div class="w-10 h-10 rounded-lg">
          <CountryFlag
            :country="quocgia.code"
            size="normal"
            class="w-full h-full rounded-lg"
          />
        </div>
        <p class="mb-0 text-sm text-content-main">{{quocgia.name}}</p>
      </div>
    </div>
  </div>

  <div
    class="bg-white p-4 rounded-md mb-4"
    style="box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05)"
  >
    <div class="flex items-center justify-between mb-4">
      <p class="text-sm font-semibold text-content-main">Item Quantity rates</p>
      <v-btn
        @click="dialogAddItemQuantity =!dialogAddItemQuantity"
        color="#3B82F6"
        class="text-none elevation-0 rounded-md !text-white"
      >
        Add rate
      </v-btn>
    </div>
    <p class="text-content-subtitle text-sm">
      Add rates based on the quantity of items in each order.
    </p>
    <div class="my-4">
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTable"
      >
      </v-skeleton-loader>
      <v-simple-table v-else class="scrollTable c-pointer" fixed-header>
        <template v-slot:default>
          <template v-if="shippingQuantity.length">
            <thead>
              <tr>
                <th class="!bg-gray-50 rounded-tl-lg">
                  <div style="width: 200px">
                    <p class="mb-0 text-sm">Name</p>
                  </div>
                </th>
                <th class="!bg-gray-50">
                  <div style="width: 200px">
                    <p class="mb-0 text-sm">Amount of Products</p>
                  </div>
                </th>
                <th class="!bg-gray-50">
                  <p class="mb-0 text-sm">Cost</p>
                </th>
                <th class="!bg-gray-50 rounded-tr-lg"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item,idx) in shippingQuantity" :key="item + idx">
                <td class="py-3">
                  <p class="mb-0 text-sm">{{item.name}}</p>
                </td>
                <td class="py-3">
                  <div class="flex items-center">
                    <p class="mb-0 text-sm">{{item.quantity}}</p>
                  </div>
                </td>
                <td class="py-3">
                  <p class="mb-0 text-sm">${{item.price}}</p>
                </td>
                <td class="py-3 relative">
                  <div
                    class="flex items-center justify-center mr-3"
                    @click="openDialogEditQuantity(item)"
                  >
                    <button class="text-blue-500 text-sm font-normal">
                      Edit
                    </button>
                  </div>
                  <button
                    v-if="item.quantity !== 1"
                    @click="deleteItem(idx)"
                    style="
                      position: absolute;
                      right: 16px;
                      top: 50%;
                      transform: translateY(-50%);
                    "
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="20"
                      height="20"
                      viewBox="0 0 20 20"
                      fill="none"
                    >
                      <path
                        d="M7.49992 2.5V3.33333H3.33325V5H4.16659V15.8333C4.16659 16.2754 4.34218 16.6993 4.65474 17.0118C4.9673 17.3244 5.39122 17.5 5.83325 17.5H14.1666C14.6086 17.5 15.0325 17.3244 15.3451 17.0118C15.6577 16.6993 15.8333 16.2754 15.8333 15.8333V5H16.6666V3.33333H12.4999V2.5H7.49992ZM7.49992 6.66667H9.16658V14.1667H7.49992V6.66667ZM10.8333 6.66667H12.4999V14.1667H10.8333V6.66667Z"
                        fill="#6B7280"
                      />
                    </svg>
                  </button>
                </td>
              </tr>
            </tbody>
          </template>
          <template v-else>
            <EmptyData />
          </template>
        </template>
      </v-simple-table>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAddItemQuantity" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Add Item Quantity Rate
          </p>
          <v-btn
            color="#949494"
            @click="dialogAddItemQuantity = !dialogAddItemQuantity"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-6"></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <p class="text-sm font-medium mb-2">Rate Name</p>
            <v-text-field
              dense
              outlined
              placeholder="e.g Rest of the World"
              class="flex-1"
              v-model="shippingName"
            >
            </v-text-field>
          </div>
          <div class="mb-2">
            <p class="text-sm font-medium">Amount of Products Range</p>
            <p class="text-sm text-gray-600 my-2">
              This shipping cost will be applied for order with
              {{quantityItems}} -
              <span v-if="isMax > 0">{{isMax}}</span>
              <span v-else>∞</span> items
            </p>

            <v-text-field
              v-model="quantityItems"
              dense
              outlined
              placeholder="Item Quantity"
              class="flex-1"
              type="number"
            >
            </v-text-field>
            <p v-if="isExistingQuantity" class="text-sm text-red-500 mt-1">
              Existing quantity
            </p>
          </div>
          <div class="mb-2">
            <p class="text-sm font-medium mb-2">Cost</p>
            <v-text-field
              dense
              outlined
              prefix="$"
              placeholder="Enter a number"
              class="flex-1"
              type="number"
              v-model="shippingCost"
            >
            </v-text-field>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#076CE3"
            outlined
            text
            class="!capitalize elevation-0"
            style="border: 1px solid #076ce3"
            @click="dialogAddItemQuantity = !dialogAddItemQuantity"
          >
            Cancel
          </v-btn>
          <v-btn
            color="#076CE3"
            class="!capitalize elevation-0"
            @click="addItemQuantityRate()"
            :disabled="isExistingQuantity || quantityItems <= 0"
          >
            <span class="text-white"> Save </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogEditItemQuantity" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Edit Item Quantity Rate
          </p>
          <v-btn
            color="#949494"
            @click="dialogEditItemQuantity = !dialogEditItemQuantity"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-6"></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <p class="text-sm font-medium mb-2">Rate Name</p>
            <v-text-field
              dense
              outlined
              placeholder="e.g Rest of the World"
              class="flex-1"
              v-model="quantity.name"
            >
            </v-text-field>
          </div>
          <div class="mb-2">
            <p class="text-sm font-medium">Amount of Products Range</p>
            <p class="text-sm text-gray-600 my-2">
              This shipping cost will be applied for order with
              {{quantity.quantity}} -
              <span v-if="isMax > 0">{{isMax}}</span>
              <span v-else>∞</span> items
            </p>

            <v-text-field
              v-model.number="quantity.quantity"
              dense
              outlined
              placeholder="Item Quantity"
              class="flex-1"
              type="number"
            >
            </v-text-field>
            <p v-if="isExistingQuantity" class="text-sm text-red-500 mt-1">
              Existing quantity
            </p>
          </div>
          <div class="mb-2">
            <p class="text-sm font-medium mb-2">Cost</p>
            <v-text-field
              dense
              outlined
              prefix="$"
              placeholder="Enter a number"
              class="flex-1"
              type="number"
              v-model.number="quantity.price"
            >
            </v-text-field>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#076CE3"
            outlined
            text
            class="!capitalize elevation-0"
            style="border: 1px solid #076ce3"
            @click="dialogEditItemQuantity = !dialogEditItemQuantity"
          >
            Cancel
          </v-btn>
          <v-btn
            color="#076CE3"
            class="!capitalize elevation-0"
            @click="editItemQuantityRate()"
            :disabled="isExistingQuantity || quantity.quantity <= 0"
          >
            <span class="text-white"> Save </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogAddCountry" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between px-4 py-2">
          <p class="mb-0 fsize-18 lightContentPrimary">Add Countries</p>
          <v-btn
            color="#949494"
            @click="dialogAddCountry = !dialogAddCountry"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <div class="py-4">
              <v-text-field
                v-model="nameSortCountry"
                dense
                outlined
                placeholder="Search Countries"
                class="flex-1 text-gray-400"
                prepend-inner-icon="mdi-magnify"
              >
              </v-text-field>
            </div>
            <div class="max-h-[288px] overflow-y-scroll">
              <div
                v-for="(item,idx) in listCountrySort"
                :key="item + idx"
                class="flex items-center divide-y divide-border-highlight py-1"
              >
                <v-checkbox
                  class="mt-0 ml-2"
                  :value="item.code"
                  v-model="country"
                  @click="onSelectedCountry(item)"
                ></v-checkbox>
                <div class="flex items-center w-full">
                  <div class="w-10 h-10">
                    <CountryFlag
                      :country="item.code"
                      size="normal"
                      class="w-full h-full mt-1"
                    />
                  </div>
                  <p class="mb-0 text-sm text-content-main mt-1">
                    {{item.name}}
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#3B82F6"
            class="!capitalize elevation-0 !font-semibold"
            :disabled="loading"
            @click="dialogAddCountry = !dialogAddCountry"
          >
            <span class="text-white"> Close </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
